<?php
// recupera una lista de pisos, propiedad del usuario identificado
$con=mysql_connect("localhost","root","opsivir")
 or die("Error: ".mysql_error());
$name = 'prueba';
$db = mysql_select_db($name,$con)
 or die("Error: ".mysql_error());

$user = mysql_escape_string($_GET["user"]);  
$result = mysql_query("SELECT *FROM pisos WHERE (nickname = '$user')") or die("Error: ".mysql_error());

$ext = array("jpg", "png", "jpeg", "gif");


//Recorre la lista de pisos encontrados y los muestra mediante HTML 
while($row = mysql_fetch_array($result))
  {
  $files = array();
  $idPiso = $row['idPiso'];
  $direccion = $row['direccion'];
  $ciudad = $row['ciudad'];
  $cp = $row['codigopostal'];
  
  if($handle = opendir("C:/xampp/htdocs/tfg/uploads/".$idPiso)) {
       while(false !== ($file = readdir($handle)))
           for($i=0;$i<sizeof($ext);$i++)
               if(strstr($file, ".".$ext[$i]))
                   $files[] = $file;
       closedir($handle);
  }
  if(count($files)==0){
  	$path = "img/imgpiso.bmp";
  }else{
  	$path = "http://kl0d.no-ip.biz/tfg/uploads/".$idPiso."/".$files[0];
  }
  echo "<div class=\"marcos\">
		  <table border=\"0\" style=\"width:100%\">
		  	<tr>
		  		<td><center><img src='$path' WIDTH=60% HEIGHT=20% ></center></td>
				<td>				 
				  	<table border=\"0\" style=\"width:100%\" class=\"letra\">
						<tr>
						  <td>Flat's id:</td>
						  <td>$idPiso</td> 
						</tr>
						<tr>
						  <td>Address:</td>
						  <td>$direccion</td> 
						</tr>
						<tr>
						  <td>City:</td>
						  <td>$ciudad</td> 
						</tr>
						<tr>
						  <td>Zip code:</td>
						  <td>$cp</td> 
						</tr>
						<tr>
						<td><input type=\"button\" class=\"botonVuelos\" name=\"$idPiso\" id=\"$idPiso\" value=\"Go in!\" onClick=\"location.href='fichaMiPiso.html?id=$idPiso'\"></td>		
						</tr>			
					</table>
				</td>
			</tr>
			</table>
		</div>
	<br></br>";
  }

mysql_close($con);
?>